#ifdef WIN32
#include <winsock2.h>
#include <windows.h>
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"


#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include "wx/sizer.h"

#include <wx/config.h>
#include <wx/confbase.h>
#include <wx/fileconf.h>
#ifdef WIN32
#include <wx/msw/regconf.h>
#include <wx/msw/iniconf.h> 
#endif

#if !wxUSE_CONSTRAINTS
#error You must set wxUSE_CONSTRAINTS to 1 in setup.h!
#endif

#if defined(__WXGTK__) || defined(__WXMOTIF__)
    #define USE_XPM
#endif

/*
#ifdef USE_XPM
    #include "transcoder.xpm"
#endif
*/

#include <ctype.h>

//#include "wx/statline.h"

#include "oddcast_config.h"
#include "liboddcast_wxconfig.h"


#include "log.h"
#include "transcurl.h"
#include "liboddcast.h"
#include "transcode.h"

#define ID_CONNECT_BUTTON	100

transcodeGlobals	globals;
char	*gConfigFile = NULL;

// Declare two frames
wxOddcastConfigFrame *configFrame;

IMPLEMENT_APP(MyApp)
DECLARE_APP(MyApp)

BEGIN_EVENT_TABLE(MyFrame, wxFrame)
END_EVENT_TABLE()

int	gWxIsRunning = 0;

void stMessage(char *message)
{
	wxMessageDialog	mess(NULL, (wxChar *)message, (const wxChar *)"Message", wxOK);
	mess.ShowModal();

}

MyApp::MyApp()
{
}

bool MyApp::OnInit()
{
	
//	MyFrame *frame = new MyFrame((wxFrame *) NULL, (char *) "wxWindows dialogs example", wxPoint(20, 20), wxSize(400, 300));
//
//	frame->Show();
//	SetTopWindow(frame);
//
	int	outputOnlyFlag = 1;

	setConfigFileName("transcoder.cfg");

	if (argc > 2) {
		if (argv[2]) {
			if (!strcmp((char *)argv[2], (const char *)"TRANSCODER")) {
				outputOnlyFlag = 0;
			}
		}
	}
	if (argc > 1) {
		if (argv[1]) {
			setConfigFileName((char *)argv[1]);
		}
	}

	readConfigFile();
	
	configFrame = new wxOddcastConfigFrame(NULL, "Edit Config", 50,0, 480, 670);
	configFrame->Init(1);

//	configFrame->ShowModal();

//	delete(configFrame);
//	exit(1);
	return TRUE;
}

// My frame constructor
MyFrame::MyFrame(wxWindow *parent,
                 const wxString& title,
                 const wxPoint& pos,
                 const wxSize& size)
       : wxFrame(parent, -1, title, pos, size)
{
    ;
}

